#include "stm32f10x_type.h"
#include "stm32f10x_gpio.h"
#include "delays.h"
#include "stm32_GPIO.h"	
#include "stm32f10x_spi.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_type.h"

#define SPIxx			SPI1						//select current SPI e.x. SPI1, SPI2, SPI3	
#define CE_GPIO 		GPIOB						//select pin CE port
#define IRQ_GPIO		GPIOA
#define CSN_GPIO		GPIOB
#define CE				((u16)GPIO_Pin_2)			//select pin CE current pin
#define IRQ				((u16)GPIO_Pin_0)
#define CSN				((u16)GPIO_Pin_1)

void init_all 	(void);
void init_RCC 	(void);
void init_GPIO 	(void);
void init_SPI	(void);
void Delay(u32 nTime);
void SPI_SendByte(u8 byte);
u8 SPI_ReadByte(u8 byte);	
